## jool-9dfaf22e49f7905d94af9b73f9bee22c26d7dd4a.tar.xz

=== mod/stateful/Makefile ===
MODULES_DIR ?= /lib/modules/$(shell uname -r)
KERNEL_DIR ?= ${MODULES_DIR}/build

all:
	make -C ${KERNEL_DIR} M=$$PWD JOOL_FLAGS="${JOOL_FLAGS}"
modules:
	make -C ${KERNEL_DIR} M=$$PWD $@
modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@
install: modules_install
	depmod
clean:
	make -C ${KERNEL_DIR} M=$$PWD $@
	rm -f ../common/*.o
	rm -f ../common/nl/*.o
	rm -f ../common/rfc6145/*.o
debug:
	make all JOOL_FLAGS+=-DDEBUG
