=== dkms-packaging/deb/jool-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: net
Priority: optional
Maintainer: Oswaldo Perez <oswaldo.perez.dominguez@gmail.com>
Build-Depends: debhelper (>= 7), dkms, pkg-config, automake, linux-headers-amd64, build-essential, libnl-genl-3-dev (>= 3.1)
Standards-Version: 1.2.38
Homepage: jool.mx

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), pkg-config, linux-headers-amd64, automake, build-essential, libnl-genl-3-dev(>= 3.1), ${misc:Depends}
Description: This package uses DKMS to automatically build the jool kernel modules.
 Jool is an Open Source implementation of IPv4/IPv6 Translation on Linux. Until version 3.2.x, it used to be only a Stateful NAT64; starting from 3.3.0, it also supports SIIT mode. Jool supports Linux kernels 3.2.0 and above. Jool is a Netfilter module that hooks itself to the prerouting chain. Because Netfilter isn’t comfortable with packets changing layer-3 protocols, Jool has its own forwarding pipeline, which only translating packets traverse. You can hook one instance of SIIT Jool and one instance of NAT64 Jool per network namespace.
