=== dkms-packaging/deb/jool-dkms-mkdsc/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: net
Priority: optional
Maintainer: Oswaldo Perez <oswaldo.perez.dominguez@gmail.com>
Build-Depends: debhelper (>= 7), dkms, pkg-config, linux-headers-amd64, automake, build-essential, libnl-genl-3-dev (>= 3.1)
Standards-Version: 1.2.38
Homepage: jool.mx

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), pkg-config, linux-headers-amd64, automake, build-essential, libnl-genl-3-dev(>= 3.1), ${misc:Depends}
Description: This package uses DKMS to automatically build the jool kernel modules and userspace apps.
 Jool is an Open Source implementation of IPv4/IPv6 Translation (SIIT and NAT64) on Linux.
